Bug 818188 - Globally uncaught exception when using Resource group metric graph and no group is defined.
Globally uncaught exception when using Resource group metric graph and no gro...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
: 831129 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 08:10 EDT by Filip Brychta
Modified: 2015-09-02 20:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dashboard screenshot (35.18 KB, image/png)
2012-05-02 08:11 EDT, Filip Brychta
no flags Details
portlet config screenshot (55.89 KB, image/png)
2012-05-02 08:11 EDT, Filip Brychta
no flags Details
exception (1.87 KB, text/plain)
2012-05-02 08:12 EDT, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2012-05-02 08:10:58 EDT
Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: c5c7e25
GWT Version: 2.4.0
SmartGWT Version: 3.0


How reproducible:
Always

Steps to Reproduce:
1.create new custom dashboard with resource group metric graph (see customDashboard.png)
2. no metric is attached to this graph (see portletConfig.png)
3. click on portlet's refresh button (see customDashboard.png)
  
Actual results:
Globally uncaught exception

Expected results:
'No items to show' message

Additional info:
exception attached
Comment 1 Filip Brychta 2012-05-02 08:11:30 EDT
Created attachment 581593 [details]
dashboard screenshot
Comment 2 Filip Brychta 2012-05-02 08:11:54 EDT
Created attachment 581594 [details]
portlet config screenshot
Comment 3 Filip Brychta 2012-05-02 08:12:19 EDT
Created attachment 581595 [details]
exception
Comment 4 Filip Brychta 2012-06-12 11:14:27 EDT
*** Bug 831129 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.